<div class="modal-header">
  <h5 class="modal-title" id="exampleModalLabel"><%= @modal_title.nil? ? Tools::DecisionMat.model_name.human : @modal_title %></h5>
  <button type="button" class="close" data-dismiss="modal" aria-label="Close">
    <span aria-hidden="true">&times;</span>
  </button>
</div>

<%= form_with url: tools_decision_mat_valid_entries_path, method: :patch do |form| %>
  <div class="modal-body">
    <%= hidden_field_tag 'id', tools_decision_mat.id %>
    <table>
      <%= t('add_action', scope: [:tools, :decision_mats, :new]) %>
      <% entries.each do |entry| %>
        <tr>
          <td><%= entry.name %></td>
          <td class='radio-item radio-item-valid'>
              <%= radio_button_tag "[dec_mat_entry][#{entry.id}]", 'true', entry.decision_mats.include?(tools_decision_mat) ? true : false, class: 'radio dec-mat-radio radio-inprogress' %>
              <label for="_dec_mat_entry_<%=entry.id%>_true"></label>
          </td>
          <td class='radio-item radio-item-invalid'>
            <%= radio_button_tag "[dec_mat_entry][#{entry.id}]", 'false', entry.decision_mats.include?(tools_decision_mat) ? false : true, class: 'radio dec-mat-radio radio-valid' %>
            <label for="_dec_mat_entry_<%=entry.id%>_false"></label>
          </td>
        </tr>
      <% end %>
    </table>
  </div>

  <div class="modal-footer">
    <div class="form-actions">
      <%= submit_tag 'Valid', class: 'btn btn-warning' %>
    </div>
  </div>
<% end %>
